
QGIS Application - Bug report #16517

Locked raster layers do not refresh in Composer

2017-05-04 09:10 PM - Assaf Wunsch

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24423

Description

I recently upgraded from V2.12 (I think) to V2.18.7. After upgrade, I noticed that locked raster layers are not displayed in the Composer.

Vector layers, and their labels, do appear correctly. Panning or changing zoom level of the map in the Composer does not solve the issue.

Also, toggling "Lock styles for layers" before saving and re-opening does not have an effect. The raster layers appear again only after I

uncheck "lock layers" and hit "update preview".

This occurred with both a DEM (GeoTiff .tif) and an ortho (.sid).

I upgraded using the OSGeo installer. I tried rolling back to an earlier version, but the installer only allowed rolling back to V2.18.6, where

the problem persists.

Related issues:

Duplicated by QGIS Application - Bug report # 16561: Map Composer: Lock layer... Closed 2017-05-17

Associated revisions

Revision cc2e68d4 - 2017-05-17 01:59 PM - Nyall Dawson

[composer] Fix locked raster layers do not restore when loading

project (fix #16517)

Revision e12209ea - 2017-05-17 08:08 PM - Nyall Dawson

Merge pull request #4576 from nyalldawson/fix_16517

[composer] Fix locked raster layers do not restore when loading project (fix #16517)

History

#1 - 2017-05-05 08:19 AM - Arnaud Poncet-Montanges

- File bug_composer2.png added

- File bug_composer.png added

This is working on latest 2.14.14 LTR but not anymore on 2.18.7.

Added some screens, does the same behaviour for other raster like WMTS sources

This is a Regression.

2025-04-27 1/2



#2 - 2017-05-05 11:06 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Operating System deleted (Windows 7 64-bit)

- Priority changed from Normal to High

#3 - 2017-05-17 09:46 AM - Nyall Dawson

- Assignee set to Nyall Dawson

Fix incoming

#4 - 2017-05-17 08:08 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|cc2e68d4c68121cfaa91193edf2e5f9dc3964b2f.

#5 - 2017-05-17 08:09 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#6 - 2017-05-19 09:00 AM - Jürgen Fischer

- Duplicated by Bug report #16561: Map Composer: Lock layers for map item seems to ignore raster layers added

Files

bug_composer2.png 41.1 KB 2017-05-05 Arnaud Poncet-Montanges

bug_composer.png 342 KB 2017-05-05 Arnaud Poncet-Montanges
